Send feedback
Class ImageOptimizationPolicy.Builder (1.113.0)
Stay organized with collections
Save and categorize content based on your preferences.
1.113.0 (latest)
1.109.0
1.105.0
1.104.0
1.103.0
1.101.0
1.98.0
1.97.0
1.95.0
1.93.0
1.92.0
1.91.0
1.90.0
1.88.0
1.86.0
1.85.0
1.84.0
1.83.0
1.82.0
1.80.0
1.78.0
1.77.0
1.74.0
1.73.0
1.72.0
1.70.0
1.69.0
1.68.0
1.67.0
1.66.0
1.65.0
1.64.0
1.63.0
1.62.0
1.61.0
1.59.0
1.58.0
1.57.0
1.56.0
1.55.0
1.54.0
1.53.0
1.52.0
1.51.0
1.50.0
1.49.0
1.47.0
1.46.0
1.45.0
1.44.0
1.43.0
1.42.0
1.41.0
1.40.0
1.39.0
1.38.0
1.37.0
1.34.0
1.33.0
1.32.0
1.31.0
1.30.0
1.29.0
1.28.0
1.27.0
1.26.0
1.25.0
1.24.0
1.23.0
1.22.0
1.21.0
1.20.0
1.19.0
1.18.0
1.17.0
1.16.0
1.15.0
1.14.0
1.13.0
1.12.1
1.11.0
1.9.1
1.8.1
1.7.2
1.6.0-beta
public static final class ImageOptimizationPolicy . Builder extends GeneratedMessage . Builder<ImageOptimizationPolicy . Builder > implements ImageOptimizationPolicyOrBuilder
The configuration for Cloud CDN's image optimization feature. This feature
dynamically processes and delivers images from the network edge.
Image Optimization is only available for Global External Application Load
Balancers.
Either Cloud CDN must be enabled on the backend service or backend bucket
serving the route, or cache policy must be configured on the same route.
Protobuf type google.cloud.compute.v1.ImageOptimizationPolicy
Inherited Members
com.google.protobuf.GeneratedMessage.Builder.getUnknownFieldSetBuilder()
com.google.protobuf.GeneratedMessage.Builder.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.Builder.internalGetMutableMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.Builder.mergeUnknownLengthDelimitedField(int,com.google.protobuf.ByteString)
com.google.protobuf.GeneratedMessage.Builder.mergeUnknownVarintField(int,int)
com.google.protobuf.GeneratedMessage.Builder.parseUnknownField(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite,int)
com.google.protobuf.GeneratedMessage.Builder.setUnknownFieldSetBuilder(com.google.protobuf.UnknownFieldSet.Builder)
com.google.protobuf.GeneratedMessage.Builder.setUnknownFieldsProto3(com.google.protobuf.UnknownFieldSet)
Static Methods
getDescriptor()
public static final Descriptors . Descriptor getDescriptor ()
Methods
build()
public ImageOptimizationPolicy build ()
buildPartial()
public ImageOptimizationPolicy buildPartial ()
clear()
public ImageOptimizationPolicy . Builder clear ()
Overrides
clearQueryParameterInterpretation()
public ImageOptimizationPolicy . Builder clearQueryParameterInterpretation ()
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
getDefaultInstanceForType()
public ImageOptimizationPolicy getDefaultInstanceForType ()
getDescriptorForType()
public Descriptors . Descriptor getDescriptorForType ()
Overrides
getQueryParameterInterpretation()
public String getQueryParameterInterpretation ()
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
Returns
Type
Description
String
The queryParameterInterpretation.
getQueryParameterInterpretationBytes()
public ByteString getQueryParameterInterpretationBytes ()
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
Returns
Type
Description
ByteString
The bytes for queryParameterInterpretation.
hasQueryParameterInterpretation()
public boolean hasQueryParameterInterpretation ()
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
Returns
Type
Description
boolean
Whether the queryParameterInterpretation field is set.
internalGetFieldAccessorTable()
protected GeneratedMessage . FieldAccessorTable internalGetFieldAccessorTable ()
Overrides
isInitialized()
public final boolean isInitialized ()
Overrides
mergeFrom(ImageOptimizationPolicy other)
public ImageOptimizationPolicy . Builder mergeFrom ( ImageOptimizationPolicy other )
public ImageOptimizationPolicy . Builder mergeFrom ( CodedInputStream input , ExtensionRegistryLite extensionRegistry )
Overrides
mergeFrom(Message other)
public ImageOptimizationPolicy . Builder mergeFrom ( Message other )
Parameter
Name
Description
other
Message
Overrides
setQueryParameterInterpretation(String value)
public ImageOptimizationPolicy . Builder setQueryParameterInterpretation ( String value )
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
Parameter
Name
Description
value
String The queryParameterInterpretation to set.
setQueryParameterInterpretationBytes(ByteString value)
public ImageOptimizationPolicy . Builder setQueryParameterInterpretationBytes ( ByteString value )
Specifies whether to interpret query parameters for image optimization.
Check the QueryParameterInterpretation enum for the list of possible values.
optional string query_parameter_interpretation = 298574069;
Parameter
Name
Description
value
ByteString The bytes for queryParameterInterpretation to set.
Send feedback
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-11-20 UTC.
Need to tell us more?
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-11-20 UTC."],[],[]]